%define ocamlname logs

Name:           ocaml-%{ocamlname}
Version:        0.6.2
Release:        1%{?dist}.emp1
Summary:        Logging infrastructure for OCaml
License:        ISC
URL:            http://erratique.ch/software/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tbz

Requires:  	ocaml >= 4.01.0
Requires:  	ocaml-js_of_ocaml
Requires:  	ocaml-topkg
Requires:	ocaml-result
Requires:	ocaml-fmt
Requires:	ocaml-cmdliner >= 0.9.8
Requires:	ocaml-lwt

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.01.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-mtime
BuildRequires:  ocaml-topkg-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-js_of_ocaml-devel
BuildRequires:  ocaml-fmt-devel
BuildRequires:	ocaml-cmdliner-devel >= 0.9.8
BuildRequires:  ocaml-lwt-devel

%description
Logs provides a logging infrastructure for OCaml. Logging is performed
on sources whose reporting level can be set independently. Log message
report is decoupled from logging and is handled by a reporter.

A few optional log reporters are distributed with the base library and
the API easily allows to implement your own.

`Logs` depends only on the `result` compatibility package. The
optional `Logs_fmt` reporter on OCaml formatters depends on [Fmt][fmt].
The optional `Logs_browser` reporter that reports to the web browser
console depends on [js_of_ocaml][jsoo]. The optional `Logs_cli` library
that provides command line support for controlling Logs depends on
[`Cmdliner`][cmdliner]. The optional `Logs_lwt` library that provides Lwt logging
functions depends on [`Lwt`][lwt]

Logs and its reporters are distributed under the ISC license.

[fmt]: http://erratique.ch/software/fmt
[jsoo]: http://ocsigen.org/js_of_ocaml/
[cmdliner]: http://erratique.ch/software/cmdliner
[lwt]: http://ocsigen.org/lwt/

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-result-devel
Requires:  	ocaml-js_of_ocaml-devel
Requires:  	ocaml-fmt-devel
Requires:	ocaml-cmdliner-devel >= 0.9.8
Requires:  	ocaml-lwt-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml pkg/pkg.ml build \
      --with-js_of_ocaml true \
      --with-fmt true \
      --with-cmdliner true \
      --with-lwt true

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/t*.ml
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
